# OEE trend report (/docs/api-reference/reports/ReportsController_getOeeTrend)

`GET /api/factories/{factoryId}/reports/oee-trend`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `from` | query | yes | string | Start time (ISO 8601) |
| `to` | query | yes | string | End time (ISO 8601) |
| `granularity` | query | no | "hour" \| "day" \| "week" |  |
| `accept` | header | yes | string |  |
| `machineIds` | query | no |  | CSV of machine UUIDs or codes |

## Responses

### 200: OEE trend data